## NAS Get CDMA Position Info request NAS Get CDMA Position Info request |

## Functions

QmiMessageNasGetCdmaPositionInfoOutput * | qmi_message_nas_get_cdma_position_info_output_ref ()
void | qmi_message_nas_get_cdma_position_info_output_unref ()
gboolean | qmi_message_nas_get_cdma_position_info_output_get_result ()
gboolean | qmi_message_nas_get_cdma_position_info_output_get_cdma_position_info ()
void | qmi_client_nas_get_cdma_position_info ()
QmiMessageNasGetCdmaPositionInfoOutput * | qmi_client_nas_get_cdma_position_info_finish ()

## Types and Values

| QmiMessageNasGetCdmaPositionInfoOutput
| QmiMessageNasGetCdmaPositionInfoOutputCdmaPositionInfoBasestationsBasestation

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasGetCdmaPositionInfoOutput

## Description

## Functions

### qmi_message_nas_get_cdma_position_info_output_ref ()

    QmiMessageNasGetCdmaPositionInfoOutput *
    qmi_message_nas_get_cdma_position_info_output_ref
                                   (QmiMessageNasGetCdmaPositionInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetCdmaPositionInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_get_cdma_position_info_output_unref ()

    void
    qmi_message_nas_get_cdma_position_info_output_unref
                                   (QmiMessageNasGetCdmaPositionInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetCdmaPositionInfoOutput. |

Since: 1.0

### qmi_message_nas_get_cdma_position_info_output_get_result ()

    gboolean
    qmi_message_nas_get_cdma_position_info_output_get_result
                                   (QmiMessageNasGetCdmaPositionInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetCdmaPositionInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_nas_get_cdma_position_info_output_get_cdma_position_info ()

    gboolean
    qmi_message_nas_get_cdma_position_info_output_get_cdma_position_info
                                   (QmiMessageNasGetCdmaPositionInfoOutput *self,
                                    gint8 *value_cdma_position_info_ui_in_idle_mode,
                                    GArray **value_cdma_position_info_basestations,
                                    GError **error);

Get the 'CDMA Position Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetCdmaPositionInfoOutput. |
value_cdma_position_info_ui_in_idle_mode | a placeholder for the output gint8, or `NULL` if not required. |
value_cdma_position_info_basestations | a placeholder for the output GArray of QmiMessageNasGetCdmaPositionInfoOutputCdmaPositionInfoBasestationsBasestation elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_nas_get_cdma_position_info ()

    void
    qmi_client_nas_get_cdma_position_info (QmiClientNas *self,
                                           gpointer unused,
                                           guint timeout,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously sends a Get CDMA Position Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_cdma_position_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_get_cdma_position_info_finish ()

    QmiMessageNasGetCdmaPositionInfoOutput *
    qmi_client_nas_get_cdma_position_info_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_get_cdma_position_info()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_cdma_position_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetCdmaPositionInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_cdma_position_info_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasGetCdmaPositionInfoOutput

    typedef struct _QmiMessageNasGetCdmaPositionInfoOutput QmiMessageNasGetCdmaPositionInfoOutput;

The QmiMessageNasGetCdmaPositionInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageNasGetCdmaPositionInfoOutputCdmaPositionInfoBasestationsBasestation

    typedef struct {
        QmiNasCdmaPilotType pilot_type;
        guint16 system_id;
        guint16 network_id;
        guint16 base_station_id;
        guint16 pilot_pn;
        guint16 pilot_strength;
        gint32 latitude;
        gint32 longitude;
        guint64 gps_time_in_milliseconds;
    } QmiMessageNasGetCdmaPositionInfoOutputCdmaPositionInfoBasestationsBasestation;

A QmiMessageNasGetCdmaPositionInfoOutputCdmaPositionInfoBasestationsBasestation struct.

#### Members

QmiNasCdmaPilotType `pilot_type`; | a QmiNasCdmaPilotType. |
guint16 `system_id`; | a guint16. |
guint16 `network_id`; | a guint16. |
guint16 `base_station_id`; | a guint16. |
guint16 `pilot_pn`; | a guint16. |
guint16 `pilot_strength`; | a guint16. |
gint32 `latitude`; | a gint32. |
gint32 `longitude`; | a gint32. |
guint64 `gps_time_in_milliseconds`; | a guint64. |

Since: 1.0